# RenameObject

Renames an object. This operation is an extension to the standard S3 protocol, and was implemented to give users far more functionality.

### Request <a href="#request" id="request"></a>

```http
MOVE /{bucket}/{key} HTTP/1.1
Destination: {newObjectKey}
X-ColdStack-Prefix: IsPrefix
```

#### Path parameters <a href="#path-parameters" id="path-parameters"></a>

| Parameter      | Description                                   |
| -------------- | --------------------------------------------- |
| `bucket`       | Name of the bucket.                           |
| `key`          | Current key of the object.                    |
| `newObjectKey` | New key for the object.                       |
| `IsPrefix`     | For renaming prefixes (e.g. renaming folders) |

#### Headings <a href="#request-headers" id="request-headers"></a>

Use only [generic headers](https://docs.coldstack.io/http-api-compatible-with-amazon-s3/api-reference/common-request-headers) in your request .

### Response <a href="#response" id="response"></a>

#### Headings <a href="#response-headers" id="response-headers"></a>

The response can only contain [general headers](https://docs.coldstack.io/http-api-compatible-with-amazon-s3/api-reference/common-response-headers) .

#### Response codes <a href="#response-codes" id="response-codes"></a>

For a list of possible responses, see the [Responses](https://docs.coldstack.io/http-api-compatible-with-amazon-s3/api-reference/answers) section .

A successful response does not contain additional data and means that the object was successfully renamed.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.coldstack.io/http-api-compatible-with-amazon-s3/api-reference/object/renameobject.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
